cURL
curl --request GET \
--url https://api.mottostreaming.com/annotations/sets/v1/{set_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mottostreaming.com/annotations/sets/v1/{set_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mottostreaming.com/annotations/sets/v1/{set_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"set": {
"project_id": "<string>",
"name": "<string>",
"id": "<string>",
"icon_asset_id": "<string>",
"priority": "<string>",
"disabled": true,
"custom_data": {},
"visibility": {}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Annotation Sets
Get annotation set
Returns an annotation type
GET
/
annotations
/
sets
/
v1
/
{set_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
AnnotationSet bundles together annotation types that are related, e.g. football annotation types (goal, corner kick, red card, etc).
Show child attributes
Show child attributes
⌘I

